#!/bin/bash
export LC_ALL=C
mkdir i

wordlist() {
	[[ -f $2 ]] && return
	printf "\r%s\e[K" "$2" >&2
	python /home/shared/tools/mwetoolkit/bin/xml2csv.py "$1" | cut -d$'\t' -f2 | sort >"$2"
}

for size in 5k 50k 500k; do
	for lang in en fr; do
		for type in noun verb; do

			for mode in strict relaxed; do
				f="localmaxs/cands-$lang-$mode-$size-$type.xml"
				[[ -f $f ]] &&
					wordlist localmaxs/cands-$lang-$mode-$size-$type.xml i/multiwords-$mode-$lang-$type-$size
			done

			wordlist mwetk/assoc-$lang-$type-$size.xml i/mwetk-$lang-$type-$size
			wordlist ucs/assoc-$lang-$type-$size.xml i/ucs-$lang-$type-$size
		done

		wordlist nsp/assoc-verb-$lang-$size-5window.xml i/nsp-$lang-verb-$size
		wordlist nsp/assoc-noun-$lang-$size.xml i/nsp-$lang-noun-$size
	done
done
echo

tools="multiwords-strict multiwords-relaxed mwetk nsp ucs"
cd i
for kind in en-noun en-verb fr-noun; do
	for size in 5k 50k 500k; do
		echo "== $kind-$size =="
		printf "%10s %10s %10s %10s %10s %10s\n" "x" ${tools//multiwords/lm}
		for tool1 in $tools; do
			printf "%10s " "${tool1//multiwords/lm}"
			for tool2 in $tools; do
				if [[ -f $tool1-$kind-$size && -f $tool2-$kind-$size ]]; then
					set -- "$(comm -12 "$tool1-$kind-$size" "$tool2-$kind-$size" | wc -l)"
				else
					set -- -
				fi
				printf "%10s " "$1"
			done
			printf "\n"
		done
		echo ""
	done
done
