#!/bin/bash
set -e

echo '<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE candidates SYSTEM "dtd/mwetoolkit-candidates.dtd">
<candidates >
<meta>
  <metafeat name="ll" type="real" />
  <metafeat name="pmi" type="real" />
  <metafeat name="ps" type="real" />
  <metafeat name="tmi" type="real" />
</meta>'

type="$1" lang="$2" size="$3" suffix="$4"; shift 4

for n; do
	files=()
	for measure in ll pmi ps tmi; do
		f="nsp/assoc-$type-$lang-$size-${n}$suffix-$measure.txt"
		if [[ -f $f ]]; then
			files+=("$f")
		else
			files+=("$measure:-1")
		fi
	done
	./nsp-merge-assocs.sh "${files[@]}"
done


echo '</candidates>'
