#!/bin/bash
set -e
TMP=
trap 'rm -Rf -- "$TMP"' EXIT
TMP="$(mktemp -d)"
files=()
measures=()
export LC_ALL=C

for i; do
	if [[ $i = *:* ]]; then
		f="$TMP/${i%:*}"
		mkfifo "$f"
		yes "${i##*:}" >"$f" &
	else
		f="$TMP/${i##*/}"
		tail -n +2 "$i" | sort | sed 's/^.*<>//; s/<>/ /g' >"$f"
	fi

	files+=("$f")
	measure="${i##*-}"
	measure="${measure%.*}"
	measures+=("$measure")
done

tail -n +2 "$1" | sort | sed 's/<>[^<]*$//; s/<>/ /g' >"$TMP/words.txt"

echo '<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE candidates SYSTEM "dtd/mwetoolkit-candidates.dtd">
<candidates >
<meta>'

# TODO: corpus size
for measure in "${measures[@]}"; do
	echo "  <metafeat name=\"$measure$basename\" type=\"real\" />"
done

echo '</meta>'

paste "$TMP/words.txt" "${files[@]}" | {
	id=0
	while read -r line; do
		IFS=$'\t'
		set -- $line
		ngram="$1"; shift
		values=("$@")
		IFS=' '
		echo "<cand candid=\"$id\">"
		echo "  <ngram>"
		for word in $ngram; do
			lemma="${word%/*}"
			pos="${word##*/}"
			echo "    <w lemma=\"$lemma\" />"
		done
		echo "  </ngram>"
		echo "  <features>"
		for ((i=0; i<$#; i++)); do
			value=(${values[i]})
			echo "    <feat name=\"${measures[i]}$basename\" value=\"${value[1]}\" />"
		done
		echo "  </features>"
		echo "</cand>"
		((++id))
	done

}


### mhrhrghrgrhrgh: find out word count (nsp used only count-in-position)

echo '</candidates>'
