#!/bin/bash

measures=($(
		cd /home/shared/tools/Text-NSP-1.23/lib
		find Text/NSP/Measures/2D/*/*.pm Text/NSP/Measures/2D/odds.pm | sed 's|/|::|g; s/\.pm$//'
	))


echo "${measures[@]}"

nsp() { perl "/home/shared/tools/Text-NSP-1.23/bin/$@"; }
sample="nsp/count-noun-en-5k-2gram.txt"

set -x

mkdir /tmp/nsp-rank

for m1 in "${measures[@]}"; do
	[[ -f /tmp/nsp-rank/"$m1.stats" ]] || 
		nsp statistic.pl "$m1" /tmp/nsp-rank/"$m1.stats" "$sample"
done

for ((i=0; i<${#measures[@]}-1; i++)); do
	for ((j=i+1; j<${#measures[@]}; j++)); do
		echo -e "\e[1mRanking ${measures[i]} x ${measures[j]}\e[0m" >&2
		[[ -f "/tmp/nsp-rank/${measures[i]}.stats" ]] && [[ -f  "/tmp/nsp-rank/${measures[j]}.stats" ]] || { echo "\e[1;31mMISSING\e[0m" >&2; continue; }
		rank="$(nsp utils/rank.pl "/tmp/nsp-rank/${measures[i]}.stats" "/tmp/nsp-rank/${measures[j]}.stats" | sed 's/.* = *//')"
		echo "$rank	${measures[i]} ${measures[j]}"
		echo -e "\e[1;32mRank is $rank\e[0m" >&2
	done
done | sort -g | tee ranks.txt
