#!/bin/bash

# multiwords

echo "MULTIWORDS"
for size in 5k 50k 500k; do
	for mode in strict relaxed; do
		for lang in en fr; do
			for type in noun verb; do
				[[ -f times/multiwords-02-candidates2xml-$lang-$mode-$size-$type ]] || continue
				echo -n "multiwords $lang $mode $size $type: TIME = "
				./dumptimes.sh times/multiwords-{00-corpus2txt-$lang-$size,01-extract-$lang-$mode-$size,02-candidates2xml-$lang-$mode-$size-$type,05-eval-$lang-$mode-$size-$type,06-map-$lang-$mode-$size-$type}
				sed 's/^/  /' localmaxs/map-$lang-$mode-$size-$type.xml
				echo -e "\n  >>> SUMMARY <<<\n"
				grep -v "^\+\+" localmaxs/eval-$lang-$mode-$size-$type-stats.xml | sed 's/^/  /'
				echo -e "\n"
			done
		done
	done
done
echo ""

echo "MWETOOLKIT"
for size in 5k 50k 500k; do
	for lang in en fr; do
		for type in noun verb; do
			[[ -f mwetk/map-$lang-$type-$size.xml ]] || continue
			echo -n "mwetoolkit $lang $size $type: TIME = "
			./dumptimes.sh times/mwetk-{00-index-$lang-$size,01-$lang-$size-$type-candidates,02-$lang-$size-$type-restofpipe,03-eval-$lang-$size-$type,04-map-$lang-$size-$type}
			sed 's/^/  /' mwetk/map-$lang-$type-$size.xml
			echo -e "\n  >>> SUMMARY <<<\n"
			grep -v "^\+\+" mwetk/eval-$lang-$type-$size-stats.txt | sed 's/^/  /'
			echo -e "\n"
		done
	done
done
echo ""

echo "NSP"
for size in 5k 50k 500k; do
	for lang in en fr; do
		for type in noun; do
			[[ -f times/nsp-05-map-$type-$lang-$size ]] || continue
			echo -n "nsp $lang $size $type: TIME = "
			./dumptimes.sh times/nsp-{01-count-$type-$lang-$size-?gram,02-assoc-$type-$lang-$size-?gram-*,03-assoc2xml-$type-$lang-$size,04-eval-$type-$lang-$size,05-map-$type-$lang-$size}
			sed 's/^/  /' nsp/map-$type-$lang-$size.txt
			echo -e "\n  >>> SUMMARY <<<\n"
			grep -v "^\+\+" nsp/eval-$type-$lang-$size-stats.txt | sed 's/^/  /'
			echo -e "\n"
		done
	done

	for lang in en; do
		for type in verb; do
			echo -n "nsp $lang $size $type (5window): TIME = "
			./dumptimes.sh times/nsp-{01-count-$type-$lang-$size-5window,02-assoc-$type-$lang-$size-5window-*,03-assoc2xml-$type-$lang-$size-5window,04-eval-$type-$lang-$size-5window,05-map-$type-$lang-$size-5window} \
				times/multiwords-00-corpus2txt-$lang-$size
			sed 's/^/  /' nsp/map-$type-$lang-$size-5window.txt
			echo -e "\n  >>> SUMMARY <<<\n"
			grep -v "^\+\+" nsp/eval-$type-$lang-$size-5window-stats.txt | sed 's/^/  /'
			echo -e "\n"
		done
	done
done
echo ""

echo "UCS"
for size in 5k 50k 500k; do
	for lang in en fr; do
		for type in noun verb; do
			[[ -f times/ucs-04-map-$lang-$type-$size ]] || continue
			echo -n "ucs $lang $size $type: TIME = "
			./dumptimes.sh times/ucs-{00-assoc2ucs-$lang-$type-$size,01-addmeasures-$lang-$type-$size,02-assoc2xml-$lang-$type-$size,03-eval-$lang-$type-$size,04-map-$lang-$type-$size} \
				times/mwetk-{00-index-$lang-$size,01-$lang-$size-$type-candidates,02-$lang-$size-$type-restofpipe} ### CHECK!
			sed 's/^/  /' ucs/map-$lang-$type-$size.txt
			echo -e "\n  >>> SUMMARY <<<\n"
			grep -v "^\+\+" ucs/eval-$lang-$type-$size-stats.txt | sed 's/^/  /'
			echo -e "\n"
		done
	done
done
echo ""
