#!/bin/bash

IFS=$'\t'
read header
set -- $header
shift 7
measures=("$@")

echo '<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE candidates SYSTEM "dtd/mwetoolkit-candidates.dtd">
<candidates >
<meta>'

for measure in "${measures[@]}"; do
	echo "  <metafeat name=\"$measure\" type=\"real\" />"
done

echo '</meta>'

while read id l1 l2 f f1 f2 N rest; do
	set -- $rest
	if [[ $l1 == */* ]]; then
		p1="${l1##*/}" p2="${l1##*/}"
	else
		p1= p2=
	fi

	values=("$@")
	echo "<cand candid=\"$id\">"
	echo "  <ngram>"
	echo "    <w lemma=\"${l1%/*}\" pos=\"$p1\" />"
	echo "    <w lemma=\"${l2%/*}\" pos=\"$p2\" />"
	echo "  </ngram>"
	echo "  <features>"

	for ((i=0; i<$#; i++)); do
		echo "    <feat name=\"${measures[i]}\" value=\"${values[i]}\" />"
	done

	echo "  </features>"
	echo "</cand>"
done

echo '</candidates>'
